"use strict";

var ISFGLState = function ISFGLState(gl) {
  this.gl = gl;
  this.textureIndex = 0;
};

ISFGLState.prototype.newTextureIndex = function newTextureIndex() {
  var i = this.textureIndex;
  this.textureIndex += 1;
  return i;
};

ISFGLState.prototype.reset = function reset() {
  this.textureIndex = 0;
};

module.exports = ISFGLState;